Package org.eclipse.rdf4j.console

## Interface ConsoleState

-     public interface ConsoleState

  Console state interface
  Author:
    Dale Visser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getApplicationName()` | Get application name
    `File` | `getDataDirectory()` | Get repository data directory
    `RepositoryManager` | `getManager()` | Get repository manager
    `String` | `getManagerID()` | Get repository manager ID
    `Repository` | `getRepository()` | Get repository
    `String` | `getRepositoryID()` | Get repository ID
    `void` | `setManager​(RepositoryManager manager)` | Set repository manager
    `void` | `setManagerID​(String managerID)` | Set repository manager
    `void` | `setRepository​(Repository repository)` | Set repository
    `void` | `setRepositoryID​(String repositoryID)` | Set repository ID

- - ### Method Detail

    - #### getApplicationName

          String getApplicationName()

      Get application name
      Returns:
        application name

    - #### getDataDirectory

          File getDataDirectory()

      Get repository data directory
      Returns:
        directory

    - #### getManagerID

          String getManagerID()

      Get repository manager ID
      Returns:
        repository manager ID

    - #### getRepositoryID

          String getRepositoryID()

      Get repository ID
      Returns:
        repository ID

    - #### getManager

          RepositoryManager getManager()

      Get repository manager
      Returns:
        repository manager

    - #### setManager

          void setManager​(RepositoryManager manager)

      Set repository manager
      Parameters:
        `manager` - repository manager

    - #### setManagerID

          void setManagerID​(String managerID)

      Set repository manager
      Parameters:
        `managerID` - repository manager ID

    - #### getRepository

          Repository getRepository()

      Get repository
      Returns:
        repository

    - #### setRepositoryID

          void setRepositoryID​(String repositoryID)

      Set repository ID
      Parameters:
        `repositoryID` - repository ID

    - #### setRepository

          void setRepository​(Repository repository)

      Set repository
      Parameters:
        `repository` - repository